[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [CONTRIBUTE] [DONATE]

Update Wiki Chat

I do not understand why Dino-IM is the main Instant Messenger Chat recommendation, specially having in mind following issues. It is more than clear than developers only want to accept servers with SRV records and they won’t update it to support jabber servers fully under hidden services. Also it is just my personal opinion of course, but once Gajim 1.4 is released it will be the best UX

I am aware that Whonix does not document or install by default software programs that are not in packages.debian.org but at least should be a mention/footnote to Ricochet-Refresh and Nheko-Reborn, both forks are maintained and both work in Whonix 16 (I tested both)

And I just want to mention that installing CopyIM using their last release works in Whonix 16 (I did not try to build it) and although they say the program is in the bullseye, it is not

@Patrick is it possible to include that information in the wiki? Thanks

//cc @HulaHoop @torjunkie

I presume you mean to reference Ricochet-refresh & Nheko-reborn.

I never preferenced the chat apps in that particular order i.e. 1-5.

1 Like

@acis Thanks for the update on Gajim. We need to update the page.

Ricochet-Refresh needs to be tested first to make sure the issues reported about the original were now resolved. @TNT_BOM_BOM please give it a try whenever and let us know if it works.

I am in favor of reinstating CoyIM since the fixes were added and are available in stable since we last reported it to them.

Nheko-reborn - I was a fan, but I witched to quarternion. Any reason to chose one over the other?

2 Likes

This is sad to say not anymore worthy:

This is nice idea. The last version is Gajim 1.4.3. But you will receive old 1.3.1 via install from Debian:

sudo apt-get install gajim gajim-omemo

And you could explore Psi. I tested it on Whonix 15. Psi worked well with GPA/GPG/PGP after following commands:

sudo apt install psi-plus
sudo apt-get install libsasl2-modules

In case someone wondering about this, related, see:
Frozen Packages
(Whonix is based on Kicksecure.)

I know this is old but I am willing to maintain a fork of CoyIM and think it should be default jabber client instead of Gajim for following reasons:

  • CoyIM has smaller code base
  • CoyIM is written in memory-safe and really fast language
  • CoyIM uses and enforces OTR by default, OTR is better than OMEMO for many reasons That I can’t post here because list would be too long

Not to mention Gajim and their alike do not support OTR for unknown reasons

1 Like

Maybe request to be involved in its development rather than a fork? (wonder if you tried asking)

Please provide that in details, it would be nice to have it in the wiki.

@Patrick do you know a good place for this in the wiki?

1 Like

wiki/Chat?

Or if it’s more technical, a list of upstream tickets and other considerations, wiki/Dev/CoyIM could be created. Please let me know if any of this sounds good.

1 Like

A post was split to a new topic: OTR versus OMEMO

1 Like
[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Contributors] [Investors] [Priority Support] [Professional Support]